"use client";
import Header from "@components/base/header";
import { useAppContext } from "@context/index";

export default function PageHeader() {
  const { theme, toggleTheme, setInput } = useAppContext();
  const handleSearch = (value) => {
    setInput(value);
  };
  const handleClose = () => {
    setInput("");
  };

  return (
    <Header
      name="NewsBlog"
      currentTheme={theme}
      onThemeChange={toggleTheme}
      onSearch={handleSearch}
      onClose={handleClose}
    />
  );
}
